// Code generated by enum generator; DO NOT EDIT.

//nolint:stylecheck // allow non-camel-case for constants
package enums

type GNSType int

// GNS constants
const (
	// GNS record types
	GNS_TYPE_ANY                    GNSType = 0     // Record type indicating any record/'*'
	GNS_TYPE_DNS_A                  GNSType = 1     // [RFC1035] IPv4 Address record
	GNS_TYPE_DNS_NS                 GNSType = 2     // [RFC1035] Name Server record
	GNS_TYPE_DNS_CNAME              GNSType = 5     // [RFC1035] Canonical Name record
	GNS_TYPE_DNS_SOA                GNSType = 6     // [RFC2308] Start Of [a zone of] Authority
	GNS_TYPE_DNS_PTR                GNSType = 12    // [RFC1035] Pointer record
	GNS_TYPE_DNS_MX                 GNSType = 15    // [RFC7505] Mail eXchange record
	GNS_TYPE_DNS_TXT                GNSType = 16    // [RFC1035] Text record
	GNS_TYPE_DNS_RP                 GNSType = 17    // [RFC1183] Responsible Person
	GNS_TYPE_DNS_AFSDB              GNSType = 18    // [RFC1183] AFS Database Record
	GNS_TYPE_DNS_SIG                GNSType = 24    // [RFC2535] Signature
	GNS_TYPE_DNS_KEY                GNSType = 25    // [RFC2930] Key record
	GNS_TYPE_DNS_AAAA               GNSType = 28    // [RFC3596] IPv6 Address record
	GNS_TYPE_DNS_LOC                GNSType = 29    // [RFC1876] Location record
	GNS_TYPE_DNS_SRV                GNSType = 33    // [RFC2782] Service locator
	GNS_TYPE_DNS_NAPTR              GNSType = 35    // [RFC3403] Naming Authority Pointer
	GNS_TYPE_DNS_KX                 GNSType = 36    // [RFC2230] Key eXchanger record
	GNS_TYPE_DNS_CERT               GNSType = 37    // [RFC4398] Certificate record
	GNS_TYPE_DNS_DNAME              GNSType = 39    // [RFC2672] Delegation Name
	GNS_TYPE_DNS_APL                GNSType = 42    // [RFC3123] Address Prefix List
	GNS_TYPE_DNS_DS                 GNSType = 43    // [RFC4034] Delegation Signer
	GNS_TYPE_DNS_SSHFP              GNSType = 44    // [RFC4255] SSH public key Fingerprint
	GNS_TYPE_DNS_IPSECKEY           GNSType = 45    // [RFC4025] IPsec Key
	GNS_TYPE_DNS_RRSIG              GNSType = 46    // [RFC4034] DNSSEC Signature
	GNS_TYPE_DNS_NSEC               GNSType = 47    // [RFC4034] Next-Secure record
	GNS_TYPE_DNS_DNSKEY             GNSType = 48    // [RFC4034] DNS Key record
	GNS_TYPE_DNS_DHCID              GNSType = 49    // [RFC4701] DHCP Identifier
	GNS_TYPE_DNS_NSEC3              GNSType = 50    // [RFC5155] NSEC record version 3 or NSEC hashed
	GNS_TYPE_DNS_NSEC3PARAM         GNSType = 51    // [RFC5155] NSEC3 Parameters
	GNS_TYPE_DNS_TLSA               GNSType = 52    // [RFC6698] TLSA certificate association
	GNS_TYPE_DNS_HIP                GNSType = 55    // [RFC5205] Host Identity Protocol
	GNS_TYPE_DNS_CDS                GNSType = 59    // [RFC7344] Child DS
	GNS_TYPE_DNS_CDNSKEY            GNSType = 60    // [RFC7344] Child DNSKEY
	GNS_TYPE_DNS_TKEY               GNSType = 249   // [RFC2930] Secret Key
	GNS_TYPE_DNS_TSIG               GNSType = 250   // [RFC2845] Transaction Signature
	GNS_TYPE_DNS_URI                GNSType = 256   // [RFC7553] Uniform Resource Identifier
	GNS_TYPE_DNS_CAA                GNSType = 257   // [RFC6844] Certification Authority Authorization
	GNS_TYPE_DNS_TA                 GNSType = 32768 // [–] DNSSEC Trust Authorities
	GNS_TYPE_DNS_DLV                GNSType = 32769 // [RFC4431] DNSSEC Lookaside Validation record
GNS_TYPE_PKEY GNSType = 65536 // GNS zone transfer
GNS_TYPE_NICK GNSType = 65537 // GNS nick names
GNS_TYPE_LEHO GNSType = 65538 // legacy hostnames
GNS_TYPE_VPN GNSType = 65539 // VPN resolution
GNS_TYPE_GNS2DNS GNSType = 65540 // Delegation to DNS
GNS_TYPE_BOX GNSType = 65541 // Boxed records (see TLSA/SRV handling in GNS)
GNS_TYPE_PLACE GNSType = 65542 // social place for SecuShare
GNS_TYPE_PHONE GNSType = 65543 // Endpoint for conversation
GNS_TYPE_RECLAIM_ATTRIBUTE GNSType = 65544 // identity attribute
GNS_TYPE_RECLAIM_TICKET GNSType = 65545 // local ticket reference
GNS_TYPE_DELEGATE GNSType = 65548 // For ABD policies
GNS_TYPE_ATTRIBUTE GNSType = 65549 // For ABD reverse lookups
GNS_TYPE_RECLAIM_ATTRIBUTE_REF GNSType = 65550 // for reclaim records
GNS_TYPE_REDIRECT GNSType = 65551 // Resolver redirects
GNS_TYPE_RECLAIM_OIDC_CLIENT GNSType = 65552 // For reclaim OIDC client names.
GNS_TYPE_RECLAIM_OIDC_REDIRECT GNSType = 65553 // Used reclaimID OIDC client redirect URIs.
GNS_TYPE_RECLAIM_CREDENTIAL GNSType = 65554 // Record type for an attribute attestation (e.g. JWT).
GNS_TYPE_RECLAIM_PRESENTATION GNSType = 65555 // Record type for a presentation of a credential.
GNS_TYPE_EDKEY GNSType = 65556 // Record type for EDKEY zone delegations.
GNS_TYPE_ERIS_READ_CAPABILITY GNSType = 65557 // Encoding for Robust Immutable Storage (ERIS) binary read capability
GNS_TYPE_MESSENGER_ROOM_ENTRY GNSType = 65558 // Record type to share an entry of a messenger room
GNS_TYPE_TOMBSTONE GNSType = 65559 // Record type to indicate a previously delete record (PRIVATE only)

)
